Bug 869204 - [abrt]: WARNING: at drivers/net/wireless/iwlwifi/iwl-trans.h:565 iwlagn_mac_flush+0x1a3/0x1b0 [iwlwifi](): TAINTED G W
[abrt]: WARNING: at drivers/net/wireless/iwlwifi/iwl-trans.h:565 iwlagn_mac_f...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
abrt_hash:c4e76da6c63481fe1ef4ea61645...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 05:23 EDT by Krzysztof Daniel
Modified: 2014-01-12 19:27 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-29 05:22:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krzysztof Daniel 2012-10-23 05:23:36 EDT
Description of problem:
it was at a conference venue with a very flaky connection

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.5.2-1.fc17.x86_64 root=UUID=8d274298-9844-4dfc-9807-9764fb312c3c ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb threadirqs pcie_aspm=force i915.i915_enable_rc6=1 i915.i915_enable_fbc=1 i915.lvds_downclock=1 iwlagn.power_save=1 iwlagn.power_level=5 rd.luks=0 LANG=en_US.UTF-8
kernel:         3.5.2-1.fc17.x86_64

kernel_tainted_long:
:Proprietary module has not been loaded.
:Taint on warning.

backtrace:
:WARNING: at drivers/net/wireless/iwlwifi/iwl-trans.h:565 iwlagn_mac_flush+0x1a3/0x1b0 [iwlwifi]()
:Hardware name: 4291EJ3
:iwl_trans_wait_tx_queue_empty bad state = 0
:Modules linked in: ppp_deflate bsd_comp ppp_async crc_ccitt ppp_generic slhc nls_utf8 option usb_wwan xfs btrfs libcrc32c zlib_deflate vfat fat hidp fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge 8021q garp stp llc fcoe libfcoe libfc scsi_transport_fc scsi_tgt be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack ip6table_filter ip6_tables dm_crypt snd_hda_codec_hdmi snd_hda_codec_conexant arc4 coretemp microcode i2c_i801 ecryptfs uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media sha256_generic encrypted_keys lpc_ich mfd_core btusb bluetooth trusted tpm tpm_bios snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device iwlwifi snd_pcm mac80211 cfg80
:211 snd_page_alloc snd_timer e1000e mei vhost_net tun macvtap macvlan kvm_intel kvm thinkpad_acpi snd soundcore rfkill uinput nfsd nfs_acl auth_rpcgss lockd sunrpc crc32c_intel ghash_clmulni_intel sdhci_pci usb_storage sdhci mmc_core wmi i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: scsi_wait_scan]
:Pid: 952, comm: wpa_supplicant Tainted: G        W    3.5.2-1.fc17.x86_64 #1
:Call Trace:
: [<ffffffff810584bf>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff810585b6>] warn_slowpath_fmt+0x46/0x50
: [<ffffffffa0443c03>] iwlagn_mac_flush+0x1a3/0x1b0 [iwlwifi]
: [<ffffffffa03925c8>] __ieee80211_recalc_idle+0x278/0x2f0 [mac80211]
: [<ffffffffa0393c33>] ieee80211_recalc_idle+0x33/0x60 [mac80211]
: [<ffffffffa03bf8ef>] ieee80211_mgd_deauth+0x12f/0x170 [mac80211]
: [<ffffffffa03961f8>] ieee80211_deauth+0x18/0x20 [mac80211]
: [<ffffffffa035f0b4>] __cfg80211_mlme_deauth+0x84/0xe0 [cfg80211]
: [<ffffffff81600003>] ? powernowk8_cpu_init+0x783/0xd88
: [<ffffffffa035f17d>] cfg80211_mlme_deauth+0x6d/0x90 [cfg80211]
: [<ffffffffa034ff83>] nl80211_deauthenticate+0xb3/0xf0 [cfg80211]
: [<ffffffff815286b0>] genl_rcv_msg+0x250/0x2d0
: [<ffffffff81528460>] ? genl_rcv+0x40/0x40
: [<ffffffff81527fd1>] netlink_rcv_skb+0xa1/0xb0
: [<ffffffff81528445>] genl_rcv+0x25/0x40
: [<ffffffff8152798d>] netlink_unicast+0x19d/0x220
: [<ffffffff81527ccd>] netlink_sendmsg+0x2bd/0x330
: [<ffffffff814e7ca8>] sock_sendmsg+0xf8/0x130
: [<ffffffff814e7b1d>] ? sock_recvmsg+0xfd/0x130
: [<ffffffff814e8e7a>] ? move_addr_to_kernel+0x5a/0xc0
: [<ffffffff814f51c6>] ? verify_iovec+0x56/0xd0
: [<ffffffff814e80ec>] __sys_sendmsg+0x3ac/0x3c0
: [<ffffffff8106dd26>] ? set_current_blocked+0x46/0x70
: [<ffffffff8106ddaa>] ? signal_delivered+0x5a/0x70
: [<ffffffff8101ca72>] ? fpu_finit+0x22/0x40
: [<ffffffff810d3bac>] ? __audit_syscall_exit+0x3ec/0x450
: [<ffffffff814e9db9>] sys_sendmsg+0x49/0x90
: [<ffffffff816148e9>] system_call_fastpath+0x16/0x1b
Comment 1 Josh Boyer 2012-10-23 08:43:47 EDT
Can you recreate this with the 3.6.x updates in F17?
Comment 2 Stanislaw Gruszka 2012-10-23 09:02:56 EDT
Yes, I believe this is fixed in 3.6.3-1.fc17
http://koji.fedoraproject.org/koji/buildinfo?buildID=361634
Comment 3 Stanislaw Gruszka 2012-10-25 09:47:52 EDT
So, does the problem still occurs on updated kernel?
Comment 4 Krzysztof Daniel 2012-10-29 03:36:43 EDT
I'm afraid I can't answer the question. I'm no longer at the conference and only have stable wifi.
Comment 5 Stanislaw Gruszka 2012-10-29 05:22:21 EDT
Ok, no problem, I'm closing bug with insufficient data resolution.

Note You need to log in before you can comment on or make changes to this bug.